"use strict";
/**
 * Module dependencies.
 */
var Site = require('./src/site');
var Utils = require('./lib/utils');
/**
 * Creates an instance of `Contentstack`.
 *
 * @constructor
 * @api public
 */
var Contentstack = function() {};

/**
 * @method initialize
 * @description Initialize Built.io Contentstack Javascript SDK
 * @api public
 * @example
 * var site = Contentstack.Site('site_api_key', 'access_token', 'environment');
 *                  OR
 * var site = Contentstack.Site({
 *      'site_api_key':'bltsomethingapikey',
 *      'access_token':'bltsomethongtoken',
 *     'environment':'environment_name'
 *   });
 *
 * @returns {Site}
 */
Contentstack.prototype.Site = Site.initialize();

/**
 * Expose `Contentstack`.
 */
var contentstack = new Contentstack();

// set an instance in 'window' for browser else exports for node.
if (Utils.isBrowser()) {
    window.Contentstack = contentstack;
} else {
    module.exports = contentstack;
}
